{
  "AuthName": "google",
  "Caption": "GMail (custom OAuth App)",
  "DescriptionFile": ".\\google_%language%.html", 
  "AuthenticationType": "OAUTHBEARER",
  "AuthorizationEndpoint": "https://accounts.google.com/o/oauth2/auth",
  "AccessTokenEndpoint": "https://accounts.google.com/o/oauth2/token",
  "LogoutEndpoint": "https://www.google.com/accounts/Logout",
  "ClientID": "",
  "ClientSecret": "",  
  "localhost-authport": 2132,
  "uri-params":
	[
      { "name": "access_type",
		"value": "offline"
	  }
    ],
  "AuthSuccessRedirectURL": "",
  "AuthSuccessServFile": ".\\AuthSuccess_%language%.html",
  "Scopes": "https://mail.google.com/ openid",

  "protocols": [
    {
	  "name": "smtp",
	  "transport": "smtp",
	  "type": "out",
      "host": "smtp.gmail.com",
      "port": 465,
	  "tls": "UseImplicitTLS"
	},
	{
	  "name": "http-send",
	  "transport": "google-api-sender",
	  "type": "out",
	  "caption": "Google HTTP API"
	},		
    {
	  "name": "pop3",
	  "transport": "pop3",
	  "type": "in",
      "host": "pop.gmail.com",
      "port": 995,
	  "tls": "UseExplicitTLS"
	},
	{
	  "name": "imap",
	  "transport": "imap",
	  "type": "in",
      "host": "imap.gmail.com",
      "port": 143,
	  "tls": "UseExplicitTLS"
	},
    {
	  "name": "http-receive",
	  "transport": "google-api-receiver",
	  "type": "in",
	  "caption": "Google HTTP API"
	}  
  ],  
  
  "transport": {
    "sending": {	
	   "default-protocol": "smtp"
	},
    "receiving": {	
	   "default-protocol": "pop3"
	}		
  },
  "domains": [
    "gmail.*",
	"googlemail.*",
	"google.*"
  ],  
  "ui-elements": [
    "OAuth"
  ]
}